Skip to content

personal_tokens_destroy

DELETE
/api/personal-tokens/{id}/
curl --request DELETE \
--url https://example.com/api/personal-tokens/1/ \
--header 'Authorization: Bearer <token>'

Delete a personal access token.

Parameters

request : Request The request object containing the token’s details.

Returns

Response A response containing no data and a 204 status code.

id
required
integer

A unique integer value identifying this Personal Access Token.

No response body

Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "personal access token",
"code": "not_allowed",
"message": "Revoke the token before deleting it."
}
]
}